#!/bin/sh

QUEUEDIR=$HOME/.msmtpqueue

cd "$QUEUEDIR" || exit 1

# check for empty queuedir
if [ "`echo *.mail`" = '*.mail' ]; then
	echo "No mails in $QUEUEDIR"
	exit 0
fi

# process all mails
for MAILFILE in *.mail; do
	echo "*** Sending $MAILFILE..."
	MSMTPFILE="`echo $MAILFILE | sed -e 's/mail/msmtp/'`"
	if [ ! -f "$MSMTPFILE" ]; then
		echo "No corresponding file $MSMTPFILE found"
		echo "FAILURE"
		continue
	fi
	msmtp `cat "$MSMTPFILE"` < "$MAILFILE"
	if [ $? -eq 0 ]; then
		rm "$MAILFILE" "$MSMTPFILE"
		echo "$MAILFILE sent successfully"
	else
		echo "FAILURE!"
	fi
done

exit 0
